---
title: SVGFEFloodElement
slug: Web/API/SVGFEFloodElement
tags:
  - API
  - NeedsExample
  - Reference
  - SVG
  - SVG DOM
---
<div>{{APIRef("SVG")}}</div>

<p>The <strong><code>SVGFEFloodElement</code></strong> interface corresponds to the {{SVGElement("feFlood")}} element.</p>

<p>{{InheritanceDiagram(600, 140)}}</p>

<h2 id="Properties">Properties</h2>

<p><em>This interface doesn't implement any specific properties, but inherits properties from its parent interface, {{domxref("SVGElement")}}, and implements properties from {{domxref("SVGFilterPrimitiveStandardAttributes")}}.</em></p>

<h2 id="Methods">Methods</h2>

<p><em>This interface doesn't implement any specific methods, but inherits methods from its parent interface, {{domxref("SVGElement")}}, and implements methods from {{domxref("SVGFilterPrimitiveStandardAttributes")}}.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Filters 1.0", "#InterfaceSVGFEFloodElement", "SVGFEFloodElement")}}</td>
   <td>{{Spec2("Filters 1.0")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "filters.html#InterfaceSVGFEFloodElement", "SVGFEFloodElement")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGFEFloodElement")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{SVGElement("feFlood")}}</li>
</ul>
